# Interface NativeToolChainRegistry

All Superinterfaces:
  `Collection<NativeToolChain>, Configurable<NamedDomainObjectContainer<NativeToolChain>>, DomainObjectCollection<NativeToolChain>, DomainObjectSet<NativeToolChain>, ExtensiblePolymorphicDomainObjectContainer<NativeToolChain>, Iterable<NativeToolChain>, NamedDomainObjectCollection<NativeToolChain>, NamedDomainObjectContainer<NativeToolChain>, org.gradle.api.internal.rules.NamedDomainObjectFactoryRegistry<NativeToolChain>, NamedDomainObjectSet<NativeToolChain>, PolymorphicDomainObjectContainer<NativeToolChain>, Set<NativeToolChain>, ToolChainRegistry<NativePlatform, NativeToolChain>`

@Incubating @ServiceScope(org.gradle.internal.service.scopes.Scope.Project.class) public interface NativeToolChainRegistry extends ExtensiblePolymorphicDomainObjectContainer<NativeToolChain>, ToolChainRegistry<NativePlatform, NativeToolChain>
A container for `NativeToolChain`s.

- ## Method Summary

  ### Methods inherited from interface Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface DomainObjectCollection

  `addAllLater, addLater, all, all, configureEach, disallowChanges, getElements, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

  ### Methods inherited from interface ExtensiblePolymorphicDomainObjectContainer

  `registerBinding, registerFactory, registerFactory`

  ### Methods inherited from interface Iterable

  `forEach`

  ### Methods inherited from interface NamedDomainObjectCollection

  `add, addAll, addRule, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getByName, getCollectionSchema, getNamer, getNames, getRules, named, named, named, named`

  ### Methods inherited from interface NamedDomainObjectContainer

  `configure, create, create, create, maybeCreate, register, register`

  ### Methods inherited from interface NamedDomainObjectSet

  `findAll, matching, matching, named, withType`

  ### Methods inherited from interface PolymorphicDomainObjectContainer

  `containerWithType, create, create, maybeCreate, register, register`

  ### Methods inherited from interface Set

  `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

  ### Methods inherited from interface ToolChainRegistry

  `getForPlatform`